org.mariadb.jdbc.internal.mysql.packet.commands

## Class MySQLClientOldPasswordAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.commands.MySQLClientOldPasswordAuthPacket

All Implemented Interfaces:
  CommandPacket

    public class MySQLClientOldPasswordAuthPacket
    extends Object
    implements CommandPacket

### Constructor Summary

Constructors
Constructor and Description
`MySQLClientOldPasswordAuthPacket(String password, byte[] seed, int packSeq)`

### Method Summary

Methods
`int` `send(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLClientOldPasswordAuthPacket

    public MySQLClientOldPasswordAuthPacket(String password,
                                    byte[] seed,
                                    int packSeq)

### Method Detail

#### send

    public int send(OutputStream os)
             throws IOException,
                    QueryException

Specified by:
  `send` in interface `CommandPacket`
Throws:
  `IOException`
  `QueryException`